error en el swiftmailer  

 
Carmen
 Carmen
Usuario eminente

Hola buenos tardes:
En el archivo de errores tengo este varias veces al dia
[13-Oct-2019 09:41:32 Europe/Madrid] PHP Warning: escapeshellcmd() has been disabled for security reasons in /home2/xnkronpr/public_html/vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/MailTransport.php on line 259

¿me podeís explicar que tipo de problema es y como solucionarlo?
Gracias.

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 13/10/2019 3:19 pm
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Carmen.

Es un aviso, no es un error y viene por el envío de correos en PHP
Modifica la versión de PHP e instala e instala la 7.2, prestashop no se lleva muy bien con versiones 7.3

-> https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Una vez modificada la versión de PHP revisa que todas las secciones de la web carguen bien.

Revisa si se soluciona y ya np muestra el aviso, si vieras que sigues con el aviso, configura el envío de correos por SMTP en Prestashop.

Tienes información en esta entrada del blog:
-> https://www.webempresa.com/blog/configurar-smtp-en-prestashop-1-7-para-el-envio-de-emails.html

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 13/10/2019 4:53 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Carmen
 Carmen
Usuario eminente

Hola Pepe: muchas gracias por contestar. Si, efectivamente tengo la version PHP 7.3 que es la predeterminada.
Estoy en el cpanel en versión de PHP ¿Lo cambio directamente aquí? Es necesario hacer antes algo? Hago una copia de seguridad por si se me estropea?
Gracias Pepe.

ResponderCitar
Respondido : 13/10/2019 9:04 pm
Carmen
 Carmen
Usuario eminente

Pepe: Te mando una captura de como tengo configurado el php. Creo que esta en el 7.2.7.
Que es lo que tu me has explicado.
Gracias.

ResponderCitar
Respondido : 13/10/2019 9:15 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Carmen.

La captura que muestras es lka configuracion global que tienes para el hosting, cada dominio puede tener una configuarcion distinta.

Estoy en el cpanel en versión de PHP ¿Lo cambio directamente aquí?
Tienes que seleccionar el dominio y la version que quieres instlar en ese dominio.

El cambio de version de PHP no afecta a los archivos de tu web, es solo a nivel servidor, no hay probelema en provar varias versiones de PHP.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 13/10/2019 9:50 pm

Por favor Iniciar Sesión o Registro